Bug 211427 (via-npot) - Support for non power of two textures missing (via)
Summary: Support for non power of two textures missing (via)
Status: CLOSED CANTFIX
Alias: via-npot
Product: Fedora
Classification: Fedora
Component: mesa   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-19 03:58 UTC by Bill Nottingham
Modified: 2018-04-11 15:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 15:43:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2006-10-19 03:58:36 UTC
When attempting to start compiz via desktop-effects:

# desktop-effects 
libGL warning: 3D driver claims to not support visual 0x46
compiz: Support for non power of two textures missing
compiz: Failed to manage screen: 0
compiz: No managable screens found on display :0.0

Version-Release number of selected component (if applicable):

compiz-0.0.13-0.32.20060817git.fc6
mesa-libGL-6.5.1-7.fc6
xorg-x11-drv-via-0.2.1-7

Comment 1 Adam Jackson 2006-10-19 18:59:53 UTC
I don't even know if the via chips are capable enough to do
EXT_texture_rectangle, so this may not be something easily solved.

Comment 2 Matěj Cepl 2007-09-12 00:34:11 UTC
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.


Comment 3 Bill Nottingham 2007-09-12 03:42:49 UTC
It's better now. Running desktop-effects crashes the X server (in F7).

Comment 4 Bill Nottingham 2007-09-12 04:07:31 UTC
Program received signal SIGSEGV, Segmentation fault.
0x00002aaab274d5ee in BitOrderInvert () from /usr/lib64/dri/unichrome_dri.so
(gdb) bt
#0  0x00002aaab274d5ee in BitOrderInvert () from /usr/lib64/dri/unichrome_dri.so
#1  0x00002aaab2751854 in BitOrderInvert () from /usr/lib64/dri/unichrome_dri.so
#2  0x00002aaab274dbee in BitOrderInvert () from /usr/lib64/dri/unichrome_dri.so
#3  0x00002aaab274964a in BitOrderInvert () from /usr/lib64/dri/unichrome_dri.so
#4  0x00002aaaab1d8cf9 in __glXDRIcontextDestroy (baseContext=0xaee940) at
glxdri.c:234
#5  0x00002aaaab1aa76b in __glXFreeContext (cx=0xaee940) at glxext.c:242
#6  0x00002aaaab1aa7a9 in ContextGone (cx=0x7, id=1074291754) at glxext.c:121
#7  0x0000000000435d84 in FreeClientResources (client=0xba5a20) at resource.c:783
#8  0x00000000004462e2 in CloseDownClient (client=0xba5a20) at dispatch.c:3567
#9  0x000000000044bb38 in Dispatch () at dispatch.c:440
#10 0x000000000043480d in main (argc=10, argv=0x7fff928138b8, envp=<value
optimized out>)
    at main.c:445
(gdb) 


Comment 5 Adam Jackson 2008-02-12 15:43:45 UTC
Well, yeah.  That bug is filed elsewhere, so I'll not worry too much about it here.

via hardware really doesn't have npot textures, at least not in chrome8 and
below, so this isn't getting fixed, ever.


Note You need to log in before you can comment on or make changes to this bug.